{
  "name": "@openstapps/core",
  "version": "0.17.0",
  "description": "StAppsCore - Generalized model of data",
  "keywords": [
    "Model",
    "StApps"
  ],
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:openstapps/core.git"
  },
  "license": "GPL-3.0-only",
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "scripts": {
    "build": "npm run tslint && npm run compile && npm run pack && npm run schema",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s -r 0 && git add CHANGELOG.md && git commit -m 'docs: update changelog'",
    "check-configuration": "openstapps-configuration",
    "compile": "rimraf lib && tsc",
    "documentation": "typedoc --name \"@openstapps/core\" --includeDeclarations --mode modules --out docs --readme README.md --listInvalidSymbolLinks lib",
    "pack": "openstapps-core-tools pack",
    "prepublishOnly": "npm ci && npm run build",
    "schema": "node --max-old-space-size=8192 --stack-size=10240 ./node_modules/.bin/openstapps-core-tools schema src/core lib/schema",
    "test": "nyc mocha --require ts-node/register --ui mocha-typescript test/*.spec.ts",
    "tslint": "tslint 'src/**/*.ts'"
  },
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "Anselm Stordeur <anselmstordeur@gmail.com>",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Andreas Lehmann",
    "Sebastian Lange",
    "Rainer Killinger",
    "Imran Hossain",
    "Michel Jonathan Schmitz",
    "Wieland Schöbl"
  ],
  "dependencies": {
    "@types/geojson": "1.0.6",
    "@types/json-patch": "0.0.30",
    "json-patch": "0.7.0",
    "jsonschema": "1.2.4",
    "ts-optchain": "0.1.3"
  },
  "devDependencies": {
    "@krlwlfrt/async-pool": "0.1.0",
    "@openstapps/configuration": "0.12.0",
    "@openstapps/core-tools": "0.6.0",
    "@openstapps/logger": "0.0.5",
    "@types/chai": "4.1.7",
    "@types/node": "10.14.4",
    "@types/rimraf": "2.0.2",
    "chai": "4.2.0",
    "commander": "2.20.0",
    "conventional-changelog-cli": "2.0.12",
    "mocha": "6.1.4",
    "mocha-typescript": "1.1.17",
    "nyc": "14.0.0",
    "rimraf": "2.6.3",
    "ts-node": "8.1.0",
    "tslint": "5.15.0",
    "typedoc": "0.14.2",
    "typescript": "3.4.3"
  },
  "nyc": {
    "check-coverage": true,
    "per-file": true,
    "lines": 95,
    "statements": 95,
    "functions": 95,
    "branches": 95,
    "include": [
      "src/core/Route.ts",
      "src/core/Thing.ts",
      "src/core/Translator.ts"
    ],
    "exclude": [],
    "extension": [
      ".ts"
    ],
    "reporter": [
      "html",
      "text-summary"
    ],
    "all": true
  }
}
